Commit dfbb5893 authored by Louis's avatar Louis
Browse files

Drop python3.6 support; Add python3.8 support

parent a81d8f4f
* pdfautonup 1.2.0 (unreleased)
* Python support
* Drop python3.6 support.
* Add python3.8 support
-- Louis Paternault <spalax+python@gresille.org>
* pdfautonup 1.1.0 (2019-03-08)
* Python support
......
[tool.black]
line-length = 88
# py36 = true # Uncomment if py36 (or above) only
target-version = ['py35', 'py37', 'py38']
exclude = '''
/(
\.git
......
......@@ -60,8 +60,8 @@ setup(
"Programming Language :: Python",
"Programming Language :: Python :: 3",
"Programming Language :: Python :: 3.5",
"Programming Language :: Python :: 3.6",
"Programming Language :: Python :: 3.7",
"Programming Language :: Python :: 3.8",
"Topic :: Printing",
],
long_description=readme(),
......
......@@ -4,7 +4,7 @@
# and then run "tox" from this directory.
[tox]
envlist = py35, py36, py37, lint, doc, coverage, black
envlist = py35, py37, py38, lint, doc, coverage, black
[testenv]
commands = {envpython} setup.py test
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment